table {
  width: 100%;
  border-collapse: collapse;
}

.table--items {
  thead {
    display: none;

    th {
      text-align: left;
    }
  }

  tr {
    display: flex;
    flex-direction: column;
    margin-bottom: $spacer-default;
    background-color: var(--entry-bg);
    padding: $spacer-default;
  }

  td {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    vertical-align: top;
    border: 1px solid transparent;

    &::before {
      content: attr(data-label);
      text-align: left;
    }

    &.actions {
      display: grid;
      grid-template-columns: repeat(1, 1fr);
      grid-row-gap: $spacer-default;
      text-align: center;
    }
  }
}

@include respond-to('small-up') {
  .table--items {
    thead {
      display: table-header-group;
    }

    tr {
      display: table-row;
      background-color: transparent;
    }

    tbody {
      tr {
        &:hover {
          background-color: var(--entry-bg);
        }
      }
    }

    td {
      display: table-cell;

      &::before {
        display: none;
      }

      &.actions {
        display: table-cell;
      }
    }

    th {
      color: var(--stand-out-color);
      text-align: left;
      font-weight: $stand-out-font-weight;
    }

    th,
    td {
      padding: 0 $spacer-default;
    }
  }
}
